/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import type { BackingStoreFactory, ParseNode, ParseNodeFactory } from "@microsoft/kiota-abstractions";
export declare class FormParseNodeFactory implements ParseNodeFactory {
    private readonly backingStoreFactory?;
    /**
     * Creates an instance of JsonParseNode.
     * @param backingStoreFactory - The factory to create backing stores.
     */
    constructor(backingStoreFactory?: BackingStoreFactory | undefined);
    getValidContentType(): string;
    getRootParseNode(contentType: string, content: ArrayBuffer): ParseNode;
    private convertArrayBufferToString;
}
//# sourceMappingURL=formParseNodeFactory.d.ts.map